function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import { SliderContext } from './Context';
import { StyleSheet } from 'react-native';
import Box from '../Box';

const SliderFilledTrack = ({
  style,
  ...props
}) => {
  const {
    isReversed,
    colorScheme,
    barSize = 0,
    sliderOffset = 0
  } = React.useContext(SliderContext);
  const leftPosition = isReversed ? sliderOffset : sliderOffset - barSize; // Fix for Web

  const customStyle = StyleSheet.create({
    SliderFilledTrack: {
      left: leftPosition
    }
  });
  return /*#__PURE__*/React.createElement(Box, _extends({
    position: "absolute",
    left: leftPosition,
    backgroundColor: colorScheme,
    height: "100%",
    width: "100%"
  }, props, {
    style: [style, customStyle.SliderFilledTrack]
  }));
};

export default SliderFilledTrack;
//# sourceMappingURL=SliderFilledTrack.js.map